package com.cool.store.enums;

/**
 * @author zhangchenbiao
 * @FileName: OperateLogFieldValue
 * @Description:
 * @date 2023-06-27 10:44
 */
public enum OperateLogFieldValueEnum {

    ALLOCATION_USERID("allocationUserId","分配人ID"),
    ALLOCATION_USERNAME("allocationUsername","分配人姓名"),
    MOBILE("mobile","手机号"),
    OPERATE_TIME("operateTime","操作时间"),
    OPERATE_USER_ID("operateUserId","操作人id"),
    OPERATE_USER_NAME("operateUsername","操作人姓名"),
    REASON("reason","原因"),
    PASS_REASON("passReason","通过原因"),
    REJECT_PUBLIC_REASON("rejectPublicReason", "公开拒绝原因"),
    REJECT_REAL_REASON("rejectRealReason", "真实拒绝原因"),
    CERTIFY_FILE("certifyFile", "上传的证明文件或凭证"),
    BEFORE_INVESTMENT_MANAGER_USERNAME("beforeInvestmentManagerUsername", "转让前的招商经理姓名"),
    BEFORE_INVESTMENT_MANAGER_MOBILE("beforeInvestmentManagerMobile", "转让前的招商经理手机号"),
    AFTER_INVESTMENT_MANAGER_USERNAME("afterInvestmentManagerUsername", "转让后的招商经理姓名"),
    AFTER_INVESTMENT_MANAGER_MOBILE("afterInvestmentManagerMobile", "转让后的招商经理手机好"),

    INTERVIEW_AGREEMENT_RAW_DATETIME("rawInterviewDateTime", "同意的面试预约原始申请时间"),
    INTERVIEW_PLAN_ID("interviewPlanId", "面试计划id"),

    BEFORE_INTERVIEW_TIME("beforeInterviewTime", "修改前的面试时间"),
    AFTER_INTERVIEW_TIME("afterInterviewTime", "修改后的面试时间"),

    BEFORE_INTERVIEWR_NAME("beforeInterviewrName", "委托前的面试官姓名"),
    AFTER_INTERVIEWR_NAME("afterInterviewrName", "委托后的面试官姓名"),
    BEFORE_INTERVIEWR_MOBILE("beforeInterviewrMobile", "委托前的面试官手机号"),
    AFTER_INTERVIEWR_MOBILE("afterInterviewrMobile", "委托后的面试官手机号"),

    SUMMARY("summary", "面试总结"),
    QUALI_VERIFY_CONTENT("qualiVerifyContent", "资质审核内容"),

    BEFORE_USERINFO_UPDATE("beforeUserinfoUpdate", "修改前的用户信息"),
    AFTER_USERINFO_UPDATE("afterUserinfoUpdate", "修改后的用户信息"),

    BEFORE_BASE_INFO_UPDATE("beforeBaseInfoUpdate", "修改前的意向书基本信息"),
    AFTER_BASE_INFO_UPDATE("afterBaseInfoUpdate", "修改后的意向书基本信息"),

    BEFORE_INTENT_INFO_UPDATE("beforeIntentInfoUpdate", "修改前的意向行业信息"),
    AFTER_INTENT_INFO_UPDATE("afterIntentInfoUpdate", "修改后的意向行业信息"),

    BEFORE_CLERK_INFO_UPDATE("beforeClerkUpdate", "修改前的意向书员工信息"),
    AFTER_CLERK_INFO_UPDATE("afterClerkUpdate", "修改后的意向书员工信息"),
    FOLLOW_LOG("followLog", "跟进日志"),
    FOLLOW_TASK_ID("followTaskId", "跟进任务id"),
    ADD_LABELS("addLabels", "新增标签"),
    REMOVE_LABELS("removeLabels", "移除标签"),
    CALL_TRANS_NO("transNo", "呼叫请求编号"),
    INCOMING_USER_ID("incomingUserId", "接听人用户id"),
    INCOMING_USER_NAME("incomingUserName", "接听人用户姓名"),
    ;


    private String code;

    private String name;


    OperateLogFieldValueEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
